Subject: Re: linux-next: manual merge of the integrity tree with the vfs tree

From: Mimi Zohar <[email-masked]>
Date: Mon, 04 Jan 2016 00:06:37 -0500

On Mon, 2016-01-04 at 03:16 +0000, Al Viro wrote:
> On Mon, Jan 04, 2016 at 01:52:21PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the integrity tree got a conflict in:
> > 
> >   security/integrity/ima/ima_fs.c
> > 
> > between commit:
> > 
> >   3bc8f29b149e ("new helper: memdup_user_nul()")
> > 
> > from the vfs tree and commit:
> > 
> >   6427e6c71c8b ("ima: ima_write_policy() limit locking")
> > 
> > from the integrity tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary (no action
> > is required).

Thanks!

> FWIW, I'm going to pull the part that introduces memdup_user_nul() into
> a never-rebased branch and if security.git is willing to pull it and handle
> that conversion in ima_write_policy() themselves, I'll be only glad to drop
> the corresponding chunk in vfs.git#for-next

Al,

As memdup_user_nul() is not in the security tree, it would break the
security tree builds.  Having the patch in the linux-integrity/next
branch wouldn't help matters.

Mimi